PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_sormlq | ( | PLASMA_enum | side,
|  | PLASMA_enum | trans,
|  | int | M,
|  | int | N,
|  | int | K,
|  | int | IB,
|  | const float * | A,
|  | int | LDA,
|  | const float * | T,
|  | int | LDT,
|  | float * | C,
|  | int | LDC,
|  | float * | WORK,
|  | int | LDWORK
| ) |  |

CORE_sormlq overwrites the general complex M-by-N tile C with

                  SIDE = 'L'     SIDE = 'R'

TRANS = 'N': Q * C C * Q TRANS = 'C': Q**T * C C * Q**T

where Q is a complex unitary matrix defined as the product of k elementary reflectors

Q = H(k) . . . H(2) H(1)

as returned by CORE_sgelqt. Q is of order M if SIDE = 'L' and of order N if SIDE = 'R'.

Parameters

  [in] | side | PlasmaLeft : apply Q or Q**T from the Left; PlasmaRight : apply Q or Q**T from the Right.
  [in] | trans | PlasmaNoTrans : No transpose, apply Q; PlasmaTrans : Transpose, apply Q**T.
  [in] | M | The number of rows of the tile C. M >= 0.
  [in] | N | The number of columns of the tile C. N >= 0.
  [in] | K | The number of elementary reflectors whose product defines the matrix Q. If SIDE = PlasmaLeft, M >= K >= 0; if SIDE = PlasmaRight, N >= K >= 0.
  [in] | IB | The inner-blocking size. IB >= 0.
  [in] | A | Dimension: (LDA,M) if SIDE = PlasmaLeft, (LDA,N) if SIDE = PlasmaRight, The i-th row must contain the vector which defines the elementary reflector H(i), for i = 1,2,...,k, as returned by CORE_sgelqt in the first k rows of its array argument A.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,K).
  [in] | T | The IB-by-K triangular factor T of the block reflector. T is upper triangular by block (economic storage); The rest of the array is not referenced.
  [in] | LDT | The leading dimension of the array T. LDT >= IB.
  [in,out] | C | On entry, the M-by-N tile C. On exit, C is overwritten by Q*C or Q**T*C or C*Q**T or C*Q.
  [in] | LDC | The leading dimension of the array C. LDC >= max(1,M).
  [in,out] | WORK | On exit, if INFO = 0, WORK(1) returns the optimal LDWORK.
  [in] | LDWORK | The dimension of the array WORK. If SIDE = PlasmaLeft, LDWORK >= max(1,N); if SIDE = PlasmaRight, LDWORK >= max(1,M).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value